import "Turbine.Gameplay";
import "Turbine.UI";
import "Turbine.UI.Lotro";
import "Nirassia.Common.Utils.Utils";

LoadSettings();

local hello = L:GetText("/HelloMessage");
hello = string.gsub(hello, "<version>", plugin:GetVersion());
Puts(hello);

if (settings.sell == true) then
	sell = true;
	textsell = "aktiv";
else        
	sell = false;
	textsell = "inaktiv";
end

if (settings.give == true) then
	give = true;
	textgive = "aktiv";
else        
	give = false;
	textgive = "inaktiv";
end

if (settings.valar == true) then
	valar = true;
	textvalar = "aktiv";
else        
	valar = false;
	textvalar = "inaktiv";
end

if (settings.buy == true) then
	buy = true;
	textbuy = "aktiv";
else        
	buy = false;
	textbuy = " inaktiv";
end

if (settings.search == true) then
	search = true;
	textsearch = " aktiv";
else        
	search = false;
	textsearch = "inaktiv";
end

if (settings.exchange == true) then
	exchange = true;
	textexchange = "aktiv";
else        
	exchange = false;
	textexchange = "inaktiv";
end

Turbine.Shell.WriteLine("Verkaufen:"..textsell);
Turbine.Shell.WriteLine("Verschenken:"..textgive);
Turbine.Shell.WriteLine("Valar:"..textvalar);
Turbine.Shell.WriteLine("Kaufen:"..textbuy);
Turbine.Shell.WriteLine("Suche:"..textsearch);
Turbine.Shell.WriteLine("Tausche:"..textexchange);


win = Turbine.UI.Window();
--win:SetSize(480, 480);
win:SetBackground("Nirassia/ChatFilter/lotro.tga");
win:SetVisible(true);
win:SetStretchMode(2);
win.nativeWidth, win.nativeHeight = win:GetSize();
win:SetVisible(false);
win:SetBackColorBlendMode(Turbine.UI.BlendMode.Color);
win:SetMouseVisible(false);
win:SetZOrder(2147483647);
win.backColor = Nirassia.Utils.Color(1, 1, 1);
win.rotateAngle = 0;
win.hueAngle = 0;

player = Turbine.Gameplay.LocalPlayer:GetInstance();
AddCallback(player, "InCombatChanged", function(sender, args)
    win.inCombat = player:IsInCombat();
    if (win.inCombat) then
        win.x, win.y = Turbine.UI.Display:GetMousePosition();
        win:SetWantsUpdates(true);
    end
end);

AddCallback(optionsPanel, "SettingsChanged", function()
    win:SetWantsUpdates(true);
    --win.backColor = Nirassia.Utils.Color(settings.color.A, settings.color.R, settings.color.G, settings.color.B);
    if (not settings.cycleColors) then
        win:SetBackColor(win.backColor);
    end
    --win.width, win.height = settings.scale * win.nativeWidth, settings.scale * win.nativeHeight;
    win:SetVisible(false);
    win.displayStartTime = nil;
    win.x, win.y = nil, nil;
    win:SetWantsUpdates(true);
end);


function AddCallback(object, event, callback)
    if (object[event] == nil) then
        object[event] = callback;
    else
        if (type(object[event]) == "table") then
            table.insert(object[event], callback);
        else
            object[event] = {object[event], callback};
        end
    end
    return callback;
end

--sell = true;
--give = true;
--valar = true;
--buy = false;
--search = false;
--exchange = false;

function chatHandler(sender, args)
    if args.ChatType == Turbine.ChatType.World then
		if (sell == true) then
			if string.match(args.Message, "verkaufe") then
				return;
			else        
				if string.match(args.Message, "Verkaufe") then
					return;
				else        
					if string.match(args.Message, "vk") then
						return;
					else        
						if string.match(args.Message, "VK") then
							return;
						else
							if string.match(args.Message, "Vk") then
								return;
							else
								if string.match(args.Message, "vK") then
									return;
								end
							end
						end
					end
				end
			end
		end
		if (give == true) then
			if string.match(args.Message, "verschenke") then
				return;
			else        
				if string.match(args.Message, "Verschenke") then
					return;
				else        
					if string.match(args.Message, "vs") then
						return;
					else        
						if string.match(args.Message, "VS") then
							return;
						else
							if string.match(args.Message, "Vs") then
								return;
							else
								if string.match(args.Message, "vS") then
									return;
								end
							end
						end
					end
				end
			end	
		end
		if (valar == true) then
			if string.match(args.Message, "Segen der Valar") then
				return;
			else        
				if string.match(args.Message, "Geschenk der Valar") then
					return;
				end
			end
		end
		if (buy == true) then
			if string.match(args.Message, "Kaufe") then
				return;
			else        
				if string.match(args.Message, "kaufe") then
					return;
				end
			end
		end
		if (search == true) then
			if string.match(args.Message, "Suche") then
				return;
			else        
				if string.match(args.Message, "suche") then
					return;
				end
			end
		end
		if (exchange == true) then
			if string.match(args.Message, "Tausche") then
				return;
			else        
				if string.match(args.Message, "tausche") then
					return;
				end
			end
		end
		Turbine.Shell.WriteLine(args.Message);
	end		
end																			

AddCallback(Turbine.Chat, "Received", chatHandler);
